REM Compiling and linking with CALAVE using Lahey LF95 for Windows

rem lf95 modules.for calave.for -o0 -sav -co  -trap doi -out calave.exe >cpl.txt
lf95 modules.for calave.for -o0 -sav -co -lfe "-Hseu" -chkglobal  -trap doi -out calave_dbg.exe >cpl_dbg.txt

del *.obj
del *.map
del *.mod

rem Switch settings ------------------------------
rem -o0             No optimization
rem -co             Display the compiler options that are used
rem -sav            Save local variables
rem -trap doi       Trap NDP divide-by-zero (d), overflow (o), and invalid operation (i) 
rem -out            Name the compiled executable to "calave.exe"
rem >               Send compiler screen output to file "cpl.txt"
REM Compiling and linking with LF95
REM


REM additional compilation flags for code developers -lfe "-Hsaeux" 
REM
REM a will catch non-matching types of variables but that includes lost of  input parameters
REM which we want to keep in different types. To bypass that and check the rest of the code
REM we would have to compile the READCF subroutine separately and without the a flag
REM until READCF is separated from the code (and I figure out how to link all pieces together
REM compile without a
REM
REM x will stop the compilation for whatever reason so I am not using it
REM
REM u is very useful at executino for tracking un-initialized variables
REM
REM Even with these flags mismatched record numbers in subroutine calling lists
REM are not caught by LF95. LF77  (3CL batch job) is needed to catch those
REM
